Export (0) Print
Expand All

Hardware, software, and technical prerequisites (Lync Server 2013 Persistent Chat SDK)

Learn about the Microsoft Lync Server 2013 Persistent Chat SDK hardware, software, and technical requirements.

Last modified: August 16, 2013

Applies to: Lync 2013 | Lync Server 2013

In this article
Hardware requirements
Software requirements
Other technical requirements

Building and running client-side Microsoft Lync Server 2013 Persistent Chat API applications require the following hardware components:

  • Any computers running Windows 7, 64-bit or 32 bit edition

  • Any computers running Windows Server 2008 R2, 64-bit or 32-bit edition

Building and running server-side, including bot-like, Lync Server 2013 Persistent Chat API applications require the following Windows computers:

  • Any computers running Windows Server 2008 R2, 64-bit edition

Building and running the Lync Server 2013 Persistent Chat API applications require the following software components:

  • Microsoft Lync Server 2013

  • Microsoft Lync Server 2013, Core Components

  • Microsoft Unified Communications Managed API 4.0 Runtime

  • Microsoft .NET Framework 4.5

The sample code and applications presented in the SDK also uses Microsoft Visual Studio 2010 development system. By default, it should be installed in the "C:\Program Files (x86)\Microsoft Visual Studio 10.0" directory on a 64-bit Windows computer.

Microsoft Visual Studio 2010 or Microsoft Visual Studio 2012 can be used to develop Lync Server 2013 Persistent Chat API applications.

Show:
© 2014 Microsoft